<?php

/**
 *
 *  @interface
 */
class egWindow {
	var $id;
	var $title;
	var $width;
	var $height;
	var $posX;
	var $posY;

	function egWindow($id, $title, $posX=0, $posY=0, $width=0, $height=0) {
		$this->id = $id;
		$this->posX = $posX;
		$this->posY = $posY;
		$this->width = $width;
		$this->height = $height;

		$cr = array("\n", "\r", "\r\n");
		$formattedValue = str_replace($cr, '', $title);
		$formattedValue = addslashes($formattedValue);
		$this->title = $formattedValue;
	}

	function isContainer() {
		return false;
	}

	function getClassName() {
		return "egWindow";
	}

	function getId() {
    return $this->id;
	}

	function getTitle() {
    return $this->title;
	}

	function getPosX() {
    return $this->posX;
	}

	function getPosY() {
    return $this->posY;
	}

	function getWidth() {
    return $this->width;
	}

	function getHeight() {
  	return $this->height;
	}

	/**
 	 *
	 *  @abstract
	 */
	function getHTML() {
	}

	/**
 	 *
	 *  @abstract
	 */
	function getScriptsFiles() {
	}

	/**
 	 *
	 *  @abstract
	 */
	function getStylesFiles() {
	}
}
?>